<?php 
  if( !hasPermission($_SESSION['user_detail']['role_id'], 'jv_list') ) {
    echo '<script>window.location.href="index.php?page=no_permission.php"</script>';
    die();
  }

  /*$bill_no     = "SELECT * FROM `billing` GROUP BY invoice_no";
  $bill_no_res = mysqli_query($conn,$bill_no);
  $bill_no = array();
  while ($bill_no_row = mysqli_fetch_assoc($bill_no_res)) {
    $bill_no[] = $bill_no_row;
  }*/
?>
<section class="content-header">
  <div class="row">
      <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 bottom20">
        <h3 class="capital font15 padding5 bold">VIEW JOURNAL VOUCHER DETAILS</h3>
      </div>
      <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 text-right bottom20">
        <h3>
          <?php if( hasPermission($_SESSION['user_detail']['role_id'], 'jv_add') ) { ?>
          <a href="index.php?page=journal_voucher/add.php" class="btn btn-danger capital bottom10 custome-btn">Add New JOURNAL VOUCHER</a>
          <?php } ?>
        </h3>
      </div>
  </div>
</section>
<hr class="bottom35"> 
<section class="hitz-top-header">
  <div class="card bottom40">
    <div class="card-body table-responsive">
      <table id="example1" class="table table-bordered table-striped list_data width100">
        <thead>
          <tr>
            <th width="50" class="text-center">SR NO.</th>
            <th width="60" class="text-center">JV NO</th>
            <th width="70" class="text-center">JV DATE</th>
            <th class="text-center">FROM ACCOUNT</th>
            <th width="90">T.MODE</th>
            <th width="80">T.AMOUNT</th>
            <th width="80">CREATED BY</th>
            <th width="120">ACTION</th> 
          </tr>
        </thead>
        <tbody>
          <tr>
            <td colspan="8"><?php echo "NO RECORD FOUND"; ?></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</section>
<div id="dataModal" class="modal fade">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
       <div class="modal-body" id="employee_detail"></div>
       <div class="modal-footer hidden-print">  
          <button type="button" onclick="window.print();" class="btn btn-default">PRINT</button> 
          <button type="button" class="btn btn-default" data-dismiss="modal">CLOSE</button>  
       </div>
    </div>
  </div>
</div>
<script type="text/javascript">
    jQuery(document).ready(function() {
      $('#start_invoice').select2();
      $('#end_invoice').select2();
      loadDataTable();
    });

    function loadDataTable(){
      if(typeof dTable!='undefined'){dTable.fnDestroy();}
  
      dTable=jQuery('.list_data').dataTable({
          "bProcessing"       : true,
          "order"             : [ [0, 'asc'] ],
          "aLengthMenu"       : [ [5, 10, 15, 20, 25, 50, 100], [5, 10, 15, 20, 25, 50, 100] ],
          'iDisplayLength'    : 10,
          "aoColumns"         : [
              {"sClass": "text-center"}, {"sClass": "text-center"}, {"sClass": "text-center"}, {"sClass": "text-center"}, {"sClass": "text-center"}, {"sClass": "text-center"}, {"sClass": "text-center"}, {"sClass": "text-center"}

          ],
          "bServerSide"       : true,
          "sAjaxSource"       : 'journal_voucher/fetch.php',
      });
    }
    
    function confirmDelete(e) {
      var $i = $(e).attr("id");
      console.log($i);
      swal({
          title: "Are you sure?",
          text: "You will not be able to recover this imaginary file!",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#DD6B55",
          confirmButtonText: "Yes, delete it!",
          closeOnConfirm: false
      }, function (isConfirm) {
          if (!isConfirm) return;
          $.ajax({
              url: "journal_voucher/delete.php",
              type: "POST",
              data: 'delete='+$i,
              dataType: "json",
              success: function () {
                swal({title: "Deleted!", text: "Data successfully Deleted!", type: "success"},
                  function(){ 
                    location.reload();
                  }
                );
              },

              error: function (xhr, ajaxOptions, thrownError) {
                swal("Error deleting!", "Please try again", "error");
              }
          });
      });
    }
  </script>
